#
# spec file for package quartz (Version 1.8.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           quartz
Summary:        Quartz Enterprise Job Scheduler
Version:        1.8.4
Release:        1.4
Summary:        Quartz Enterprise Job Scheduler
License:        The Apache Software License
Url:            http://www.quartz-scheduler.org/
Group:          Development/Libraries/Java
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  unzip

Requires:       java >= 1.5 unzip
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-logging
Requires:       spacewalk-slf4j

%description
Quartz is a job scheduling system that can be integrated with, or used
along side virtually any J2EE or J2SE application. Quartz can be used
to create simple or complex schedules for executing tens, hundreds, or
even tens-of-thousands of jobs; jobs whose tasks are defined as
standard Java components or EJBs.



%package oracle
License:        The Apache Software License
Summary:        Oracle JDBC driver delegate for quartz
Group:          Development/Libraries/Java
Requires:       %{name}
Requires:       spacewalk-slf4j
Requires:       ojdbc14

%description oracle
Oracle driver delegate for quartz



%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}

# main quartz
cp -p %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# oracle driver
cp -p %{name}-oracle-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-oracle-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files oracle
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-oracle.jar
%{_javadir}/%{name}-oracle-%{version}.jar

%changelog
* Tue Dec 21 2010 kkaempf@novell.com
- Add 'BuildRequires: unzip'
* Thu Dec  9 2010 mc@suse.de
- initial release
